# Author : Guillaume Marques
# Description : Open satellites Inequalities

struct OpenSatelliteInequality <: ViolatedInequality
  satellite::Int
  customer::Int
  var_u_id::Int
  violation_value::Double
end

const OSIContainer = ViolatedInequalities{OpenSatelliteInequality}

function duplicated(a::OpenSatelliteInequality, b::OpenSatelliteInequality
    )::Bool
  return (a.violation_value == b.violation_value) &&
      (a.customer == b.customer) &&
      (a.satellite == b.satellite)
end

function violationvalue(a::OpenSatelliteInequality)::Double
  return a.violation_value
end
